--- old/usr/src/uts/sun4/os/prom_subr.c	2014-07-28 07:43:56.589011882 -0400
+++ new/usr/src/uts/sun4/os/prom_subr.c	2014-07-28 07:43:56.594656776 -0400
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/param.h>
 #include <sys/cmn_err.h>
@@ -273,7 +271,7 @@
 			 * previous kpreempt_disable() before returning since
 			 * preemption was disabled by an earlier kern_preprom.
 			 */
-			prcp = casptr((void *)&prom_cpu, NULL, cp);
+			prcp = atomic_cas_ptr((void *)&prom_cpu, NULL, cp);
 			if (prcp == NULL ||
 			    (prcp == cp && prom_thread == curthread)) {
 				if (prcp == cp)
@@ -310,7 +308,7 @@
 			 * the lock.  If we get it or already hold it, break.
 			 */
 			ASSERT(getpil() == PIL_MAX);
-			prcp = casptr((void *)&prom_cpu, NULL, cp);
+			prcp = atomic_cas_ptr((void *)&prom_cpu, NULL, cp);
 			if (prcp == NULL || prcp == cp)
 				break;
 		}
